Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor
Class FileDiagramEditor

    java.lang.Object
      DiagramEditorWithFlyOutPalette
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
              org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.IDEDiagramDocumentEditor
                  org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.FileDiagramEditor

All Implemented Interfaces:
  IAdaptable, IDocumentEditor, IGotoMarker, IEditorPart, IReusableEditor, ISaveablePart, IWorkbenchPart

Direct Known Subclasses:
  FileDiagramEditorWithFlyoutPalette

    public class FileDiagramEditor

extends IDEDiagramDocumentEditor

FileDiagramEditor with optional flyout palette.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
`fErrorLabel, statusLineContributions, statusLineLabelProvider`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`FileDiagramEditor()` Constructs a file diagram editor without flyout palette.
`FileDiagramEditor(boolean hasFlyoutPalette)` Constructs a file diagram editor, with flyout palette if `hasFlyoutPalette` is true and without flyout palette if `hasFlyoutPalette` is false.

Method Summary
`void` `doSaveAs()` The `AbstractDiagramEditor` implementation of this `IEditorPart` method calls `performSaveAs`.
`boolean` `isSaveAsAllowed()` The `AbstractDiagramEditor` implementation of this `IEditorPart` method returns `false`.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.IDEDiagramDocumentEditor
`gotoMarker, performSaveAs`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor

`addStatusLineContributions, askUserReload, askUserSaveClose, askUserSaveOverwrite, close, configureDiagramEditDomain, createActionManager, createEditingDomain, createOperationHistory, createPartControl, dispose, disposeDocumentProvider, doSave, doSetInput, editorSaved, enableSanityChecking, enableStateValidation, firePropertyChange, getAdapter, getDefaultPaletteContent, getDiagram, getDiagramDocument, getDocumentProvider, getDocumentProvider, getEditingDomain, getEditingDomainID, getEditorDescriptor, getProgressMonitor, handleEditorInputChanged, handleElementContentAboutToBeReplaced, handleElementContentReplaced, handleExceptionOnSave, handleSelectionChanged, init, initializeGraphicalViewer, isDirty, isEditable, isEditorInputModifiable, isEditorInputReadOnly, isStatusLineOn, performSave, rebuildStatusLine, releaseInput, removeStatusLineContributions, reuseDiagramOnMove, safelySanityCheckState, sanityCheckState, selectionChanged, setDocumentProvider, setDocumentProvider, setInput, setSite, updateState, updateStatusLineMessageContribution, validateEditorInputState, validateState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Constructor Detail

### FileDiagramEditor

    public FileDiagramEditor(boolean hasFlyoutPalette)

  Constructs a file diagram editor, with flyout palette if `hasFlyoutPalette` is true and without flyout palette if `hasFlyoutPalette` is false.

  Parameters:
    `hasFlyoutPalette` - true if flyoutPalette is required.

### FileDiagramEditor

    public FileDiagramEditor()

  Constructs a file diagram editor without flyout palette.

Method Detail

### doSaveAs

    public void doSaveAs()

  Description copied from class: `DiagramDocumentEditor`
  The `AbstractDiagramEditor` implementation of this `IEditorPart` method calls `performSaveAs`. Subclasses may reimplement.

  Specified by:
    `doSaveAs` in interface `ISaveablePart`
  Overrides:
    `doSaveAs` in class `DiagramDocumentEditor`

### isSaveAsAllowed

    public boolean isSaveAsAllowed()

  Description copied from class: `DiagramDocumentEditor`
  The `AbstractDiagramEditor` implementation of this `IEditorPart` method returns `false`. Subclasses may override.

  Specified by:
    `isSaveAsAllowed` in interface `ISaveablePart`
  Overrides:
    `isSaveAsAllowed` in class `DiagramDocumentEditor`
  Returns:
    `false`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.